Flash Player for Mac <= 10.3.181.36 多种漏洞 (APSB11-21)

high Nessus 插件 ID 55804
全新!漏洞优先级评级 (VPR)

Tenable 测算每个漏洞的动态 VPR。VPR 将漏洞信息与威胁情报和机器学习算法相结合,预测哪些漏洞最有可能在攻击中被利用。了解详细信息: VPR 的定义及其与 CVSS 的区别。

VPR 得分: 9.4

简介

远程 Mac OS X 主机安装有受多种漏洞影响的浏览器插件。

描述

根据版本,远程 Mac OS X 主机上安装的 Flash Player 实例是 10.3.181.36 或更早版本。因此,有报告称它受到多个严重漏洞的影响:

- 多个缓冲区溢出漏洞可能导致代码执行。(CVE-2011-2130、CVE-2011-2134、CVE-2011-2137、CVE-2011-2414、CVE-2011-2415)

- 多种内存损坏漏洞可能导致代码执行。(CVE-2011-2135、CVE-2011-2140、CVE-2011-2417、CVE-2011-2424、CVE-2011-2425)

- 多个整数溢出漏洞可能导致代码执行。(CVE-2011-2136、CVE-2011-2138、CVE-2011-2416)

- 存在一个跨站信息泄露漏洞,可导致代码执行。(CVE-2011-2139)

通过诱骗受影响系统上的用户打开特别构建且含有 Flash 内容的文档,攻击者可以利用这些漏洞以此用户的权限在系统上远程执行任意代码。

解决方案

升级到 Adobe Flash for Mac 版本 10.3.183.5 或更高版本。

另见

http://www.adobe.com/support/security/bulletins/apsb11-21.html

插件详情

严重性: High

ID: 55804

文件名: macosx_flash_player_10_3_183_5.nasl

版本: 1.15

类型: local

代理: macosx

发布时间: 2011/8/10

最近更新时间: 2018/7/14

依存关系: macosx_flash_player_installed.nasl

风险信息

风险因素: High

VPR 得分: 9.4

CVSS v2.0

基本分数: 9.3

时间分数: 8.1

矢量: CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C

时间矢量: CVSS2#E:H/RL:OF/RC:C

漏洞信息

CPE: cpe:2.3:a:adobe:flash_player:*:*:*:*:*:*:*:*

必需的 KB 项: MacOSX/Flash_Player/Version

可利用: true

易利用性: Exploits are available

补丁发布日期: 2011/8/9

漏洞发布日期: 2011/8/9

可利用的方式

Core Impact

Metasploit (Adobe Flash Player MP4 SequenceParameterSetNALUnit Buffer Overflow)

参考资料信息

CVE: CVE-2011-2130, CVE-2011-2134, CVE-2011-2135, CVE-2011-2136, CVE-2011-2137, CVE-2011-2138, CVE-2011-2139, CVE-2011-2140, CVE-2011-2414, CVE-2011-2415, CVE-2011-2416, CVE-2011-2417, CVE-2011-2424, CVE-2011-2425

BID: 49073, 49074, 49075, 49076, 49077, 49079, 49080, 49081, 49082, 49083, 49084, 49085, 49086, 49186